{
  "parser": "@typescript-eslint/parser",
  "parserOptions": {
    "ecmaVersion": 2018,
    "sourceType": "module"
  },
  "plugins": ["@typescript-eslint"],
  "extends": ["plugin:react/recommended", "plugin:@typescript-eslint/recommended"],
  "rules": {
    "import/no-unresolved": "off",
    "react/prop-types": "off",
    "react/display-name": "off",
    "indent": "off",
    "no-var": ["error"],
    "arrow-parens": [2, "always"],
    "no-unused-vars": ["error", { "ignoreRestSiblings": true }],
    "no-shadow": ["error"]
  },
  "settings": {
    "react": {
      "pragma": "React",
      "version": "detect"
    }
  }
}
